Storyden
Robots

List robot workspaces

Get a paginated list of reusable Robot workspace templates.

GET/robots/workspaces

Get a paginated list of reusable Robot workspace templates.

storyden-session<token>

In: cookie

Query Parameters

page?string

Pagination query parameters.

Response Body

application/json

application/json

curl -X GET "https://example.com/robots/workspaces"
{
  "page_size": 0,
  "results": 0,
  "total_pages": 0,
  "current_page": 0,
  "next_page": 0,
  "workspaces": [
    {
      "id": "cc5lnd2s1s4652adtu50",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z",
      "deletedAt": "2019-08-24T14:15:22Z",
      "misc": {},
      "name": "string",
      "description": "string",
      "provider": "string",
      "config": {},
      "meta": {},
      "created_by": {
        "id": "cc5lnd2s1s4652adtu50",
        "joined": "2019-08-24T14:15:22Z",
        "suspended": "2019-08-24T14:15:22Z",
        "handle": "Southclaws",
        "name": "Barnaby Keene",
        "signature": "<body><p>Sent with love from London!</p></body>",
        "roles": [
          {
            "badge": true,
            "default": true,
            "id": "cc5lnd2s1s4652adtu50",
            "name": "string",
            "colour": "string",
            "meta": {}
          }
        ]
      }
    }
  ]
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "detail": "string",
  "trace_id": "string",
  "metadata": {}
}